#
# spec file for package perl-Task-Kensho-Config
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Task-Kensho-Config
Version:        0.38
Release:        3.5
%define cpan_name Task-Kensho-Config
Summary:        A Glimpse at an Enlightened Perl: Config Modules
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Task-Kensho-Config/
Source:         http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Config::Any)
BuildRequires:  perl(Config::General)
BuildRequires:  perl(Module::Build::Tiny) >= 0.038
Requires:       perl(Config::Any)
Requires:       perl(Config::General)
%{perl_requires}

%description
From the http://en.wikipedia.org/wiki/Kensho manpage:

    Kenshō (見性) (C. Wu) is a Japanese term for enlightenment experiences -
    most commonly used within the confines of Zen Buddhism - literally
    meaning "seeing one's nature"[1] or "true self."[2] It generally
    "refers to the realization of nonduality of subject and object."[3]

the Task::Kensho manpage is a list of recommended modules for Enlightened
Perl development. CPAN is wonderful, but there are too many wheels and you
have to pick and choose amongst the various competing technologies.

The plan is for the Task::Kensho manpage to be a rough testing ground for
ideas that go into among other things the Enlightened Perl Organisation
Extended Core (EPO-EC).

The modules that are bundled by the Task::Kensho manpage are broken down
into several categories and are still being considered. They are all taken
from various top 100 most used perl modules lists and from discussions with
various subject matter experts in the Perl Community. That said, this
bundle does _not_ follow the guidelines established for the EPO-EC for peer
review via industry advisers.

Starting in 2011, the Task::Kensho manpage split its sub-groups of modules
into individually-installable tasks. Each the Task::Kensho manpage sub-task
is listed at the beginning of its section in this documentation.

When installing the Task::Kensho manpage itself, you will be asked to
install each sub-task in turn, or you can install individual tasks
separately. These individual tasks will always install all their modules by
default. This facilitates the ease and simplicity the distribution aims to
achieve.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README weaver.ini

%changelog
* Fri Sep 19 2014 coolo@suse.com
- updated to 0.38
  - WebDev: Template::Toolkit is not indexed (see RT#92588) -
    refer to Template instead
  - subtask distributions now just use regular prereqs on their
    component modules, rather than using optional_features metadata
  - Task-Kensho now once again prompts at install time for each
    subtask to be optionally installed
  0.37      2014-08-16
  - ModuleDev: Switch Carp::Always over to Devel::Confess (per mst)
  - ModuleDev: Add Data::Printer (per Sawyer X)
  - ModuleDev: Add Devel::Dwarn (per mst)
  - Toolchain: Add Pinto (per Sawyer X)
  - Toolchain: Add App::FatPacker (per perigrin)
  0.36      2014-03-08
  - fix pod markup error in main Task::Kensho distribution
  - module list revisions to CLI, Dates, Toolchain, WebCrawling,
    WebDev
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.35
  - updated recommendations for Async, CLI, ModuleDev, Scalability,
    WebDev
  - still more pod and metadata tweaks
  - more pod and metadata tweaks
  - fix mangled abstract in META.*
  - fixed missing list of recommendations in Task::Kensho pod
  - fix munging of ::Hackery preamble into stopwords
  - fixed bugtracker metadata (now indicating github issues)
  - distributions split apart again, with new! and enhanced!
    Dist::Zilla generation magic
  - distributions reunified under Task-Kensho, and now auto-generated
    from a master YAML file using Dist::Zilla
  - Task::Kensho::Testing:
  - Retired Test::Exception and replaced with Test::Fatal
  - added Test::Deep, Test::Requires and Test::NoWarnings
  - Task::Kensho::WebDev: added Plack
  - Fix reference to Module::CoreList (RT#65948)
  - Add Plack to Task::Kensho::WebDev
  - Fix Task::Kensho::Logging version, thanks kent
* Sat Mar 26 2011 coolo@opensuse.org
- initial package 0.28
  * created by cpanspec 1.78.03
* Fri Jan 21 2011 coolo@novell.com
- initial package 0.27
  * created by cpanspec 1.78.03
